> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model Library Parameters



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /metadata/model/library-parameter-sets/{library_parameter_set}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /metadata/model/library-parameter-sets/{library_parameter_set}:
    get:
      tags:
        - metadata
      summary: Get Model Library Parameters
      operationId: >-
        get_model_library_parameters_metadata_model_library_parameter_sets__library_parameter_set__get
      parameters:
        - name: library_parameter_set
          in: path
          required: true
          schema:
            type: string
            title: Library Parameter Set
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Get Model Library Parameters Metadata Model Library
                  Parameter Sets  Library Parameter Set  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````